<?php
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Z102 - lewy górny</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie Z102</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Napisz program, który do dwuwymiarowej tablicy o wymiarach 3 x 3 wpisuje liczby pseudolosowe z zakresu <0,9>, wyświetla tą tablicę, a następnie oblicza sumę liczb rozmieszczonych wzdłuż przekątnych:</p>
    <ul>
        <li>Przekątna LG_PD - lewy górny i prawy dolny,</li>
        <li>Przekątna LD_PG - lewy dolny i prawy górny.</li>
    </ul>
    <p>Program wyświetla te sumy i odpowiada na pytanie, która z nich jest większa, lub czy są równe.</p>
</div>
<div class="box">
    <form method="post" action="index.php">
        <button type="submit">Rozwiąż</button>
    </form>
</div>
<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $values[] = array();
    for ($i = 0; $i < 3; $i++) {
        for ($j = 0; $j < 3; $j++) {
            $values[$i][$j] = (int)rand(1, 9);
        }
    }
    $sumLG_PD = $values[0][0] + $values[2][2];
    $sumLD_PG = $values[0][2] + $values[2][0];
    echo '<div class="box">';
    echo "Tablica 3 x 3:";
    echo '<table>';
    for ($i = 0; $i < 3; $i++) {
        echo '<tr>';
        for ($j = 0; $j < 3; $j++) {
            echo '<td>' . $values[$i][$j] . '</td>';
        }
        echo '</tr>';
    }
    echo '</table>';
    echo "<b>LG_PD</b>: " .  $sumLG_PD . '<br>';
    echo "<b>LD_PG</b>: " .  $sumLD_PG . '<br>';
    echo '<hr>';
    if ($sumLD_PG > $sumLG_PD) {
        echo "LG_PD < LD_PG";
    } else if ($sumLD_PG == $sumLG_PD) {
        echo "LG_PD = LD_PG";
    } else {
        echo "LG_PD > LD_PG";
    }
    echo '</div>';
}
?>
</body>
</html>
